# Copyright (c) 2023 PaddlePaddle Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# This file is autogenerated by the command `make fix-copies`, do not edit.
from . import DummyObject, requires_backends


class AltDiffusionImg2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class AltDiffusionPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class AnimateDiffPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class AudioLDM2Pipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class AudioLDM2ProjectionModel(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class AudioLDM2UNet2DConditionModel(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class AudioLDMPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class CLIPImageProjection(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class CycleDiffusionPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class IFImg2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class IFImg2ImgSuperResolutionPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class IFInpaintingPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class IFInpaintingSuperResolutionPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class IFPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class IFSuperResolutionPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class ImageTextPipelineOutput(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class Kandinsky3Img2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class Kandinsky3Pipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyCombinedPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyImg2ImgCombinedPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyImg2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyInpaintCombinedPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyInpaintPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyPriorPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyV22CombinedPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyV22ControlnetImg2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyV22ControlnetPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyV22Img2ImgCombinedPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyV22Img2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyV22InpaintCombinedPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyV22InpaintPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyV22Pipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyV22PriorEmb2EmbPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class KandinskyV22PriorPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class LatentConsistencyModelImg2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class LatentConsistencyModelPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class LDMTextToImagePipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class LDMTextToImageUViTPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class MusicLDMPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class PaintByExamplePipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class PixArtAlphaPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class SemanticStableDiffusionPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class ShapEImg2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class ShapEPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionAdapterPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionAttendAndExcitePipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionControlNetImg2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionControlNetInpaintPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionControlNetPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionDepth2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionDiffEditPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionGLIGENPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionGLIGENTextImagePipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionImageVariationPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionImg2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionInpaintPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionInpaintPipelineLegacy(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionInstructPix2PixPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionLatentUpscalePipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionLDM3DPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionModelEditingPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionPanoramaPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionParadigmsPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionMegaPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionPipelineAllinOne(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionPipelineSafe(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionPix2PixZeroPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionSAGPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionUpscalePipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionXLAdapterPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionXLControlNetImg2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionXLControlNetInpaintPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionXLControlNetPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionXLImg2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionXLInpaintPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionXLInstructPix2PixPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableDiffusionXLPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableUnCLIPImg2ImgPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableUnCLIPPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class StableVideoDiffusionPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class TextToVideoSDPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class TextToVideoZeroPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class TextToVideoZeroSDXLPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class UnCLIPImageVariationPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class UnCLIPPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class UniDiffuserModel(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class UniDiffuserPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class UniDiffuserTextDecoder(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class VersatileDiffusionDualGuidedPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class VersatileDiffusionImageVariationPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class VersatileDiffusionPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class VersatileDiffusionTextToImagePipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class VideoToVideoSDPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class VQDiffusionPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class WuerstchenCombinedPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class WuerstchenDecoderPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class WuerstchenPriorPipeline(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class LDMBertModel(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class CaptionDecoder(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])


class LearnedClassifierFreeSamplingEmbeddings(metaclass=DummyObject):
    _backends = ["paddle", "paddlenlp"]

    def __init__(self, *args, **kwargs):
        requires_backends(self, ["paddle", "paddlenlp"])

    @classmethod
    def from_config(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])

    @classmethod
    def from_pretrained(cls, *args, **kwargs):
        requires_backends(cls, ["paddle", "paddlenlp"])
